classification
Title: time.sleep() should use nanosleep() if available
Type: Stage:
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: wont fix
Dependencies: 13882 Superseder:
Assigned To: Nosy List: Arfrever, rosslagerwall, vstinner
Priority: normal Keywords:

Created on 2012-02-09 23:00 by vstinner, last changed 2012-03-02 21:40 by vstinner. This issue is now closed.

Messages (2)
msg153000 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-02-09 23:00
With the PEP 410, it is possible to store timestamps with a resolution of 1 nanosecond. Python should use nanosleep() if the function is available for time.sleep().

This issue depends on issue #13882.
msg154804 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-03-02 21:40
The PEP 410 has been rejected, so I close the issue.
History
Date User Action Args
2012-03-02 21:40:58vstinnersetstatus: open -> closed
resolution: wont fix
messages: + msg154804
2012-02-11 04:27:28Arfreversetnosy: + Arfrever
2012-02-10 03:50:25rosslagerwallsetnosy: + rosslagerwall
2012-02-09 23:00:37vstinnersetdependencies: + PEP 410: Use decimal.Decimal type for timestamps
2012-02-09 23:00:33vstinnercreate